org.apache.lucene.search

## Class FieldValueHitQueue.Entry

- java.lang.Object
- - org.apache.lucene.search.ScoreDoc
  - - org.apache.lucene.search.FieldValueHitQueue.Entry

Enclosing class:
  FieldValueHitQueue<T extends FieldValueHitQueue.Entry>

    public static class FieldValueHitQueue.Entry
    extends ScoreDoc

Extension of ScoreDoc to also store the `FieldComparator` slot.

### Field Summary

Fields
`int` `slot`

### Fields inherited from class org.apache.lucene.search.ScoreDoc

`doc, score, shardIndex`

### Constructor Summary

Constructors
Constructor and Description
`Entry(int slot, int doc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### slot

    public int slot

### Constructor Detail

#### Entry

    public Entry(int slot,
                 int doc)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `ScoreDoc`